Package com.verisign.epp.codec.secdnsext.v10

## Class EPPSecDNSExtUpdate

- java.lang.Object
- - com.verisign.epp.codec.secdnsext.v10.EPPSecDNSExtUpdate

- All Implemented Interfaces:
    `EPPCodecComponent`, `java.io.Serializable`, `java.lang.Cloneable`

      public class EPPSecDNSExtUpdate
      extends java.lang.Object
      implements EPPCodecComponent

  The EPPSecDNSExtUpdate is the EPPCodecComponent that knows how to encode and decode secDNS update elements from/to XML and object instance.

  Title: EPP 1.0 secDNS

  Description: secDNS Extension to the EPP SDK

  Copyright: Copyright (c) 2006

  Company: VeriSign

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `ADD_ELM_NAME` | Element tag name for the add
    `static java.lang.String` | `CHG_ELM_NAME` | Element tag name for the chg
    `static java.lang.String` | `ELM_NAME` | Element tag name for the update
    `static java.lang.String` | `REM_ELM_NAME` | Element tag name for the rem

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EPPSecDNSExtUpdate()` | Instantiate a new instance of EPPSecDNSExtUpdate
    `EPPSecDNSExtUpdate​(java.util.List addDsData, java.util.List chgDsData, java.util.List remKeyTag)` | Creates a new instance of the `EPPSecDNSExtUpdate` with the add, chg, and rem elements.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `appendAdd​(EPPSecDNSExtDsData dsData)` | Add/Append to the `List` of DS Data `EPPSecDNSExtDsData` instances to add
    `void` | `appendChg​(EPPSecDNSExtDsData dsData)` | Add/Append to the `List` of DS Data `EPPSecDNSExtDsData` instances to chg
    `void` | `appendRem​(int keyTag)` | Add/Append to the `List` of DS keyTag `Integer` instances specifying keyTag to rem
    `void` | `appendRem​(EPPSecDNSExtDsData dsData)` | Add/Append to the `List` of DS keyTag `Integer` instances specifying keyTag to rem.
    `void` | `appendRem​(java.lang.Integer keyTag)` | Add/Append to the `List` of DS keyTag `Integer` instances specifying keyTag to rem
    `java.lang.Object` | `clone()` | Clone `EPPSecDNSExtUpdate`.
    `void` | `decode​(org.w3c.dom.Element aElement)` | Populate the data of this instance with the data stored in the given Element of the DOM tree
    `org.w3c.dom.Element` | `encode​(org.w3c.dom.Document aDocument)` | Append all data from this secDNS update to the given DOM Document
    `boolean` | `equals​(java.lang.Object aObject)` | implements a deep `EPPSecDNSExtUpdate` compare.
    `java.util.List` | `getAdd()` | Get the `List` of DS Data `EPPSecDNSExtDsData` instances to add
    `java.util.List` | `getChg()` | Get the `List` of DS Data `EPPSecDNSExtDsData` instances to chg
    `java.lang.String` | `getNamespace()` | The namespace associated with this secDNS update.
    `java.util.List` | `getRem()` | Get the `List` of DS keyTag `Integer` instances specifying keyTag to rem
    `boolean` | `isUrgent()` | Is the update request urgent?
    `void` | `setAdd​(java.util.List addDsData)` | Set the `List` of DS Data `EPPSecDNSExtDsData` instances to add
    `void` | `setChg​(java.util.List chgDsData)` | Set the `List` of DS Data `EPPSecDNSExtDsData` instances to chg
    `void` | `setRem​(java.util.List remKeyTag)` | Set the `List` of DS keyTag `Integer` instances specifying keyTag to rem
    `void` | `setUrgent​(boolean urgent)` | Sets the urgent attribute.

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ELM_NAME

          public static final java.lang.String ELM_NAME

      Element tag name for the update
      See Also:
        Constant Field Values

    - #### ADD_ELM_NAME

          public static final java.lang.String ADD_ELM_NAME

      Element tag name for the add
      See Also:
        Constant Field Values

    - #### CHG_ELM_NAME

          public static final java.lang.String CHG_ELM_NAME

      Element tag name for the chg
      See Also:
        Constant Field Values

    - #### REM_ELM_NAME

          public static final java.lang.String REM_ELM_NAME

      Element tag name for the rem
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EPPSecDNSExtUpdate

          public EPPSecDNSExtUpdate()

      Instantiate a new instance of EPPSecDNSExtUpdate

    - #### EPPSecDNSExtUpdate

          public EPPSecDNSExtUpdate​(java.util.List addDsData,
                                    java.util.List chgDsData,
                                    java.util.List remKeyTag)

      Creates a new instance of the `EPPSecDNSExtUpdate` with the add, chg, and rem elements.
      Parameters:
        `addDsData` - `List` of DS Data `EPPSecDNSExtDsData` instances to add
        `chgDsData` - `List` of DS Data `EPPSecDNSExtDsData` instances to chg
        `remKeyTag` - `List` of DS keyTag `Integer` instances specifying keyTag to rem

  - ### Method Detail

    - #### getNamespace

          public java.lang.String getNamespace()

      The namespace associated with this secDNS update.
      Specified by:
        `getNamespace` in interface `EPPCodecComponent`
      Returns:
        The namespace associated with secDNS component

    - #### encode

          public org.w3c.dom.Element encode​(org.w3c.dom.Document aDocument)
                                     throws EPPEncodeException

      Append all data from this secDNS update to the given DOM Document
      Specified by:
        `encode` in interface `EPPCodecComponent`
      Parameters:
        `aDocument` - The DOM Document to append data to
      Returns:
        Encoded DOM `Element`
      Throws:
        `EPPEncodeException` - Thrown when errors occur during the encode attempt or if the instance is invalid.

    - #### decode

          public void decode​(org.w3c.dom.Element aElement)
                      throws EPPDecodeException

      Populate the data of this instance with the data stored in the given Element of the DOM tree
      Specified by:
        `decode` in interface `EPPCodecComponent`
      Parameters:
        `aElement` - The root element of the report fragment of XML
      Throws:
        `EPPDecodeException` - Thrown if any errors occur during decoding.

    - #### equals

          public boolean equals​(java.lang.Object aObject)

      implements a deep `EPPSecDNSExtUpdate` compare.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `aObject` - `EPPSecDNSExtUpdate` instance to compare with
      Returns:
        true if equal false otherwise

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Clone `EPPSecDNSExtUpdate`.
      Specified by:
        `clone` in interface `EPPCodecComponent`
      Overrides:
        `clone` in class `java.lang.Object`
      Returns:
        clone of `EPPSecDNSExtUpdate`
      Throws:
        `java.lang.CloneNotSupportedException` - standard Object.clone exception

    - #### getAdd

          public java.util.List getAdd()

      Get the `List` of DS Data `EPPSecDNSExtDsData` instances to add
      Returns:
        `List` of `EPPSecDNSExtDsData` instances

    - #### setAdd

          public void setAdd​(java.util.List addDsData)

      Set the `List` of DS Data `EPPSecDNSExtDsData` instances to add
      Parameters:
        `addDsData` - `List` of `EPPSecDNSExtDsData` instances

    - #### appendAdd

          public void appendAdd​(EPPSecDNSExtDsData dsData)

      Add/Append to the `List` of DS Data `EPPSecDNSExtDsData` instances to add
      Parameters:
        `dsData` - `EPPSecDNSExtDsData` instance

    - #### getChg

          public java.util.List getChg()

      Get the `List` of DS Data `EPPSecDNSExtDsData` instances to chg
      Returns:
        `List` of `EPPSecDNSExtDsData` instances

    - #### setChg

          public void setChg​(java.util.List chgDsData)

      Set the `List` of DS Data `EPPSecDNSExtDsData` instances to chg
      Parameters:
        `chgDsData` - `List` of `EPPSecDNSExtDsData` instances

    - #### appendChg

          public void appendChg​(EPPSecDNSExtDsData dsData)

      Add/Append to the `List` of DS Data `EPPSecDNSExtDsData` instances to chg
      Parameters:
        `dsData` - `EPPSecDNSExtDsData` instance

    - #### getRem

          public java.util.List getRem()

      Get the `List` of DS keyTag `Integer` instances specifying keyTag to rem
      Returns:
        `List` of `Integer` instances specifying keyTag to rem

    - #### setRem

          public void setRem​(java.util.List remKeyTag)

      Set the `List` of DS keyTag `Integer` instances specifying keyTag to rem
      Parameters:
        `remKeyTag` - `List` of `Integer` instances specifying keyTag to rem

    - #### appendRem

          public void appendRem​(java.lang.Integer keyTag)

      Add/Append to the `List` of DS keyTag `Integer` instances specifying keyTag to rem
      Parameters:
        `keyTag` - an `Integer` instance representing secDNS:keyTag

    - #### appendRem

          public void appendRem​(int keyTag)

      Add/Append to the `List` of DS keyTag `Integer` instances specifying keyTag to rem
      Parameters:
        `keyTag` - an `int` value representing secDNS:keyTag

    - #### appendRem

          public void appendRem​(EPPSecDNSExtDsData dsData)

      Add/Append to the `List` of DS keyTag `Integer` instances specifying keyTag to rem. This convenience method will extract the secDNS:keyTag element from the `EPPSecDNSExtDsData` provided.
      Parameters:
        `dsData` - `EPPSecDNSExtDsData` instance specifying keyTag to rem

    - #### isUrgent

          public boolean isUrgent()

      Is the update request urgent?
      Returns:
        Returns `true` if the client has asked the server operator to process the update command with a high priority; `false` otherwise.

    - #### setUrgent

          public void setUrgent​(boolean urgent)

      Sets the urgent attribute.
      Parameters:
        `urgent` - The urgent value to set.